# JSDoc: Class: BasicWidget

# Class: BasicWidget

## BasicWidget()

This is the base widget for all other widgets. For information on using widgets, see the tutorial widget_basics.

## Constructor

#### new BasicWidget()

Source:
  - widgets/basic_widget.js, line 9

### Methods

#### cssBlock(block) → {this}

Accepts a string of CSS to add with the widget.

##### Parameters:

Name | Type | Description
--- | --- | ---
`block` | string |

Source:
  - widgets/basic_widget.js, line 78

##### Returns:

for chaining

Type
  this

#### doRender()

Method used for rendering the widget. Your class should override this method. The method is expected to create a this.$widget containing jQuery object

Source:
  - widgets/basic_widget.js, line 132